Add an Odoo connection
curl --request POST \
--url https://codecobra.ai/api/projects/{project_id}/odoo/credentials \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": false,
"tier": "<string>"
}
'import requests
url = "https://codecobra.ai/api/projects/{project_id}/odoo/credentials"
payload = {
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": False,
"tier": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
shared: false,
tier: '<string>'
})
};
fetch('https://codecobra.ai/api/projects/{project_id}/odoo/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://codecobra.ai/api/projects/{project_id}/odoo/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'shared' => false,
'tier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://codecobra.ai/api/projects/{project_id}/odoo/credentials"
payload := strings.NewReader("{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://codecobra.ai/api/projects/{project_id}/odoo/credentials")
.header("Content-Type", "application/json")
.body("{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://codecobra.ai/api/projects/{project_id}/odoo/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"auth_method": "<string>",
"base_url": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"db_name": "<string>",
"effective_ceiling": "<string>",
"has_secret": true,
"host": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_owner": true,
"login": "<string>",
"name": "<string>",
"owner_ceiling": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": true,
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"usable_by_me": true,
"detail": "<string>",
"last_test_at": "2023-11-07T05:31:56Z",
"last_test_error": "<string>",
"last_test_status": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"server_version": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Odoo Connections
Add an Odoo connection
Connect an Odoo environment to a project. The key is encrypted before it is stored and can never be read back.
POST
/
api
/
projects
/
{project_id}
/
odoo
/
credentials
Add an Odoo connection
curl --request POST \
--url https://codecobra.ai/api/projects/{project_id}/odoo/credentials \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": false,
"tier": "<string>"
}
'import requests
url = "https://codecobra.ai/api/projects/{project_id}/odoo/credentials"
payload = {
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": False,
"tier": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
shared: false,
tier: '<string>'
})
};
fetch('https://codecobra.ai/api/projects/{project_id}/odoo/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://codecobra.ai/api/projects/{project_id}/odoo/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'shared' => false,
'tier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://codecobra.ai/api/projects/{project_id}/odoo/credentials"
payload := strings.NewReader("{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://codecobra.ai/api/projects/{project_id}/odoo/credentials")
.header("Content-Type", "application/json")
.body("{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://codecobra.ai/api/projects/{project_id}/odoo/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"shared\": false,\n \"tier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"auth_method": "<string>",
"base_url": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"db_name": "<string>",
"effective_ceiling": "<string>",
"has_secret": true,
"host": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_owner": true,
"login": "<string>",
"name": "<string>",
"owner_ceiling": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared": true,
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"usable_by_me": true,
"detail": "<string>",
"last_test_at": "2023-11-07T05:31:56Z",
"last_test_error": "<string>",
"last_test_status": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"server_version": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Path Parameters
Body
application/json
Response
Successful Response